Data Fields
_PurpleConvChat Struct Reference

Data specific to Chats. More...

`#include <conversation.h>`

## Data Fields
PurpleConversation * | conv
| The parent conversation. More...
GList * | in_room
| The users in the room. More...
GList * | ignored
| Ignored users. More...
char * | who
| The person who set the topic. More...
char * | topic
| The topic. More...
int | id
| The chat ID. More...
char * | nick
| Your nick in this chat. More...
gboolean | left
| We left the chat and kept the window open.
GHashTable * | users
| Hash table of the users in the room. More...

## Detailed Description

Data specific to Chats.

Definition at line 273 of file conversation.h.

## Field Documentation

## ◆ conv

PurpleConversation* _PurpleConvChat::conv

The parent conversation.

Definition at line 275 of file conversation.h.

## ◆ id

int _PurpleConvChat::id

The chat ID.

Definition at line 283 of file conversation.h.

## ◆ ignored

GList* _PurpleConvChat::ignored

Ignored users.

Definition at line 280 of file conversation.h.

## ◆ in_room

GList* _PurpleConvChat::in_room

The users in the room.

Deprecated:
  Will be removed in 3.0.0

Definition at line 277 of file conversation.h.

## ◆ nick

char* _PurpleConvChat::nick

Your nick in this chat.

Definition at line 284 of file conversation.h.

## ◆ topic

char* _PurpleConvChat::topic

The topic.

Definition at line 282 of file conversation.h.

## ◆ users

GHashTable* _PurpleConvChat::users

Hash table of the users in the room.

Since
  2.9.0

Definition at line 287 of file conversation.h.

## ◆ who

char* _PurpleConvChat::who

The person who set the topic.

Definition at line 281 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h